#
# Example spec file for summapack
# https://fedoraproject.org/wiki/RPMGroups
#https://stereochro.me/ideas/rpm-for-the-unwilling

Summary: Distribution Free, Package Instaler
Name: summapack
Version: 2017.2.1.R921
Release: 1
License: GPL-3.0+
  #GPLv3, no poner comentarios arriba, esta va en ubuntu, en osc va la de arriba
Group: System/Packages
#Development/Libraries
BuildArch: noarch
Source: http://simusol.org/downloads/%{name}-%{version}.tar.gz
URL: http://ututo.org/?SummaPack
Distribution: Ututo GNU/Linux
Vendor: Ututo, <dsa@ututo.org>
#Packager: dsa <dsa@ututo.org>
BuildRequires:  make subversion wget unzip check iputils bind-utils help2man perl man-pages man gzip
#Pod::Usage 
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix: /usr /etc

%description
It reads and interpolate a table within a file.

##pre

%prep

#cd {name}-{version} 
%setup -q -n%{name}-%{version} 
#echo "nameserver 127.0.0.53" $RPM_BUILD_ROOT/etc/resolv.conf MAL
#ping 8.8.8.8
#cat /etc/resolv.conf
#curl http://simusol.org
#host simusol.org 8.8.8.8
make preparelocal

# cp tabular-2017.2.1.R901.tar.gz ~/rpmbuild/SOURCES

%build
#svn export https://svn.example.com/projects/libexample/tags/0.1/src/
#(cd src; make)
#bin/prepare
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT PREFIX=/usr PKGDIR=%{_docdir}/%{name} install
#rm -rf $RPM_BUILD_ROOT{_datadir}/doc/{name}

#mkdir -p {buildroot}{_libdir} {buildroot}{_includedir}  # tambien en el makefile
# Copy whichever files that RPM will contain into it.
#install --strip --mode=0755 src/.libs/{name}.so.0 src/.libs/{name}.a {buildroot}{_libdir}
#install --mode=0755 src/{name}.la {buildroot}{_libdir}
#sed -i -e s/^installed=no$/installed=yes/ {buildroot}{_libdir}/*.la
#install --mode=0644 src/*.h {buildroot}{_includedir}
#(cd {buildroot}{_libdir}; ln -sf {name}.so.0 {name}.so)


(cd %{buildroot}; find . -type f -or -type l | sed -e s/^.// -e /^$/d) >>MANIFEST

##files  #-f MANIFEST

%files 
#svn list --depth infinity 
%defattr(-,root,root,-)
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
##{_datadir}/{name}/*
##{_docdir}/{name}/*
##{_docdir}/{name}/*
%doc %{_docdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*

# esta directiva isntala los archivos, ya lo hace el make install y si lo saco de ahi deja de funcionar en otro contecxto
##doc AUTHORS COPYING COPYING.DOC COPYING.WEB INSTALL.txt LICENSE Makefile README summapack.spec summapack.summa SVVERSION summapack.changes

%changelog

##post
#/sbin/ldconfig

##postun
##/sbin/ldconfig

%clean
rm -rf src %{buildroot} MANIFEST

%changelog
* Mon Feb 19 2018  <dsa@ututo.org> 2017.2.1.R919-1

– Initial Packaging of summapack

#generate
#gpg --gen-key
# verify
#gpg --list-keys
# Export your public key from your key ring to a text file.
#gpg --export -a 'Fernando Aleman' > RPM-GPG-KEY-faleman
# Import your public key to your RPM DB
# -->If you plan to share your custom built RPM packages with others, make sure
# -->to have your public key file available online so others can verify RPMs
#sudo rpm --import RPM-GPG-KEY-faleman
# Verify the list of gpg public keys in RPM DB
#rpm -q gpg-pubkey --qf '{name}-{version}-{release} --> {summary}\n'
# Configure your ~/.rpmmacros file
#
# You can use the following command to edit if you are on the server:
# vi ~/.rpmmacros


# en /home/dsa/.rpmmacros
##_signature gpg
##_gpg_path /home/dsa/.gnupg
##_gpg_name Diego Saravia <dsa@ututo.org>
##__gpg /usr/bin/gpg

####_gpbin     => run `which gpg` (without ` marks) to get full path 

